Subject: Offline Message from Prajakta: Hi, I had contacted your customer care for Chi
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 28 Jun 2020 12:44:37 -0000

From: Prajakta <[email-masked]>
Phone: 
Location: , United Arab Emirates
URL: https://www.mumzworld.com/en/returnform/orders/
Department: 

Hi,
I had contacted your customer care for Chicco next to me order issue. I haven’t heard back inspite of my request to  address the issue on urgent basis. I have a baby coming soon and don’t have a crib. Please get back to me ASAP 

----
Zopim
https://www.zopim.com